# Makefile.in for FFIPlugin on Unix
# 
# Author: ian.piumarta@inria.fr
# 
# Last edited: 2003-01-28 10:59:01 by piumarta on emilia.inria.fr


# make.cfg.in -- mf fragment for configured variables		-*- makefile -*-
# 
#   Copyright (C) 1996-2004 by Ian Piumarta and other authors/contributors
#                              listed elsewhere in this file.
#   All rights reserved.
#   
#   This file is part of Unix Squeak.
# 
#   Permission is hereby granted, free of charge, to any person obtaining a copy
#   of this software and associated documentation files (the "Software"), to deal
#   in the Software without restriction, including without limitation the rights
#   to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
#   copies of the Software, and to permit persons to whom the Software is
#   furnished to do so, subject to the following conditions:
# 
#   The above copyright notice and this permission notice shall be included in
#   all copies or substantial portions of the Software.
# 
#   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
#   IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
#   FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
#   AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
#   LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
#   OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
#   SOFTWARE.

# Author: Ian.Piumarta@inria.fr
# 
# Last edited: 2006-10-18 10:13:59 by piumarta on emilia.local

MAKEFLAGS=	--no-print-directory



VM_MAJOR=	3
VM_MINOR=	10
VM_RELEASE=	3
VM_VERSION=	3.10-3

SQ_MAJOR=	3
SQ_MINOR=	10
SQ_UPDATE=	7159
SQ_VERSION=	3.10-7159

DEVEL=		@DEVEL@

host=		i686-pc-linux-gnu
host_cpu=	i686
host_vendor=	pc
host_os=	linux-gnu

topdir=		/home/bryce/squeak/exupery
cfgdir=		/home/bryce/squeak/exupery/platforms/unix/config
srcdir=		/home/bryce/squeak/exupery/src
blddir=		/home/bryce/squeak/exupery/build

top_builddir=	/home/bryce/squeak/exupery/build

prefix=		/usr/local
exec_prefix=	${prefix}

bindir=		${exec_prefix}/bin
libdir=		${exec_prefix}/lib
datadir=	${prefix}/share
mandir=		${prefix}/share/man
imgdir=		${prefix}/lib/squeak
plgdir=		/usr/local/lib/squeak/3.10-3
docdir=		$(prefix)/doc/squeak

SHELL=		/bin/sh
MKINSTALLDIRS=	$(SHELL) $(cfgdir)/mkinstalldirs
INSTALL=	/usr/bin/install -c
INSTALL_PROG=	${INSTALL} $(INSTALL_ARGS)
INSTALL_DATA=	${INSTALL} -m 644 $(INSTALL_ARGS)
UNINSTALL=	$(SHELL) $(cfgdir)/uninstall
AS=		as
AWK=		gawk
RANLIB=		ranlib
LIBTOOL=	$(SHELL) $(top_builddir)/libtool
NM=		/usr/bin/nm -B
LN=		ln
LN_S=		ln -s

CC=		gcc
DEFS=		-DHAVE_CONFIG_H
INCLUDES=	-I/home/bryce/squeak/exupery/build -I/home/bryce/squeak/exupery/platforms/unix/vm -I/home/bryce/squeak/exupery/platforms/Cross/vm -I/home/bryce/squeak/exupery/src/vm
CPPFLAGS=	
CFLAGS=		 -g -O2 -fomit-frame-pointer -DLSB_FIRST=1
WFLAGS=		-Wall -Wno-unknown-pragmas
LDFLAGS=	 -Wl,--hash-style=sysv
SOFLAGS=	@SOFLAGS@
LIBM_CFLAGS=	-O -fomit-frame-pointer

LIBS=		-lutil -ldl -lm -lnsl 

X_CFLAGS=	 -g -O2 -fomit-frame-pointer -DLSB_FIRST=1
X_INCLUDES=	-I/home/bryce/squeak/exupery/build -I/home/bryce/squeak/exupery/platforms/unix/vm -I/home/bryce/squeak/exupery/platforms/Cross/vm -I/home/bryce/squeak/exupery/src/vm
X_LIBS=		-lXrender -lGL -lXext  -lSM -lICE   -ldl -lm -lnsl  -lX11

LIB_UUID=	-luuid

FFI_DIR=	/home/bryce/squeak/exupery/platforms/unix/plugins/SqueakFFIPrims
FFI_C=		x86-sysv
FFI_S=		x86-sysv-asm
FFI_O=		x86-sysv$o x86-sysv-asm$o

INTERP=		gnu-interp

VM_APP_ICONS=	

npsqueak=	npsqueak
install_nps=	install-npsqueak
uninstall_nps=	uninstall-npsqueak

# make.ext.in -- mf fragment for external plugins		-*- makefile -*-
# 
# Author: Ian.Piumarta@inria.fr
# 
# Last edited: 2003-08-07 09:09:59 by piumarta on emilia.inria.fr

o		= .lo
a		= .la
COMPILE		= $(LIBTOOL) --mode=compile \
		  $(CC) $(CFLAGS) $(XCFLAGS) $(DEFS) $(XDEFS) \
		  $(INCLUDES) $(XINCLUDES) $(CPPFLAGS) $(XCPPFLAGS) -c -o
LINK		= $(LIBTOOL) --mode=link \
		  $(CC) $(CFLAGS) $(XCFLAGS) \
		  $(LDFLAGS) $(XLDFLAGS) -avoid-version -module -rpath $(plgdir) -o
RANLIB		= :

TARGET	= SqueakFFIPrims$a

OBJS	= SqueakFFIPrims$o ffi-test$o $(FFI_O)

XINCLUDES	=  -I/home/bryce/squeak/exupery/platforms/Cross/plugins/SqueakFFIPrims -I/home/bryce/squeak/exupery/platforms/unix/plugins/SqueakFFIPrims 

$(TARGET) : $(OBJS) Makefile
	$(LINK) $(TARGET) $(OBJS)
	$(RANLIB) $(TARGET)




SqueakFFIPrims$o : /home/bryce/squeak/exupery/src/plugins/SqueakFFIPrims/SqueakFFIPrims.c
	$(COMPILE) SqueakFFIPrims$o /home/bryce/squeak/exupery/src/plugins/SqueakFFIPrims/SqueakFFIPrims.c

any-libffi$o : /home/bryce/squeak/exupery/platforms/unix/plugins/SqueakFFIPrims/any-libffi.c
	$(COMPILE) any-libffi$o /home/bryce/squeak/exupery/platforms/unix/plugins/SqueakFFIPrims/any-libffi.c

ffi-test-main$o : /home/bryce/squeak/exupery/platforms/unix/plugins/SqueakFFIPrims/ffi-test-main.c
	$(COMPILE) ffi-test-main$o /home/bryce/squeak/exupery/platforms/unix/plugins/SqueakFFIPrims/ffi-test-main.c

ffi-test$o : /home/bryce/squeak/exupery/platforms/unix/plugins/SqueakFFIPrims/ffi-test.c
	$(COMPILE) ffi-test$o /home/bryce/squeak/exupery/platforms/unix/plugins/SqueakFFIPrims/ffi-test.c

ppc-darwin$o : /home/bryce/squeak/exupery/platforms/unix/plugins/SqueakFFIPrims/ppc-darwin.c
	$(COMPILE) ppc-darwin$o /home/bryce/squeak/exupery/platforms/unix/plugins/SqueakFFIPrims/ppc-darwin.c

ppc-sysv$o : /home/bryce/squeak/exupery/platforms/unix/plugins/SqueakFFIPrims/ppc-sysv.c
	$(COMPILE) ppc-sysv$o /home/bryce/squeak/exupery/platforms/unix/plugins/SqueakFFIPrims/ppc-sysv.c

x86-sysv$o : /home/bryce/squeak/exupery/platforms/unix/plugins/SqueakFFIPrims/x86-sysv.c
	$(COMPILE) x86-sysv$o /home/bryce/squeak/exupery/platforms/unix/plugins/SqueakFFIPrims/x86-sysv.c

any-libffi-asm$o : /home/bryce/squeak/exupery/platforms/unix/plugins/SqueakFFIPrims/any-libffi-asm.S
	$(COMPILE) any-libffi-asm$o /home/bryce/squeak/exupery/platforms/unix/plugins/SqueakFFIPrims/any-libffi-asm.S

ppc-darwin-asm$o : /home/bryce/squeak/exupery/platforms/unix/plugins/SqueakFFIPrims/ppc-darwin-asm.S
	$(COMPILE) ppc-darwin-asm$o /home/bryce/squeak/exupery/platforms/unix/plugins/SqueakFFIPrims/ppc-darwin-asm.S

ppc-sysv-asm$o : /home/bryce/squeak/exupery/platforms/unix/plugins/SqueakFFIPrims/ppc-sysv-asm.S
	$(COMPILE) ppc-sysv-asm$o /home/bryce/squeak/exupery/platforms/unix/plugins/SqueakFFIPrims/ppc-sysv-asm.S

x86-sysv-asm$o : /home/bryce/squeak/exupery/platforms/unix/plugins/SqueakFFIPrims/x86-sysv-asm.S
	$(COMPILE) x86-sysv-asm$o /home/bryce/squeak/exupery/platforms/unix/plugins/SqueakFFIPrims/x86-sysv-asm.S

.force :
